coupang
GET/v2/providers/marketplace_openapi/apis/api/v1/settlement-histories2609170000

Settlement Detail Query

# 01

Summary

Settlement Detail Query

# 02

Details

Available buyer market: Korean

You can see the details of scheduled/finalized settlement based on the month of sales recognition.

Path

GET/v2/providers/marketplace_openapi/apis/api/v1/settlement-histories

Example endpoint

https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v1/settlement-histories?revenueRecognitionYearMonth=2019-10

URL API Name

SETTLEMENT_HISTORIES
# 03

Response body

Response message

NameTypeDescription
settlementTypestring
Settlement type
Parameter Name Status
MONTHLY Monthly settlement details
WEEKLY Weekly settlement details
ADDITIONAL Additional settlement
RESERVE Payment of the final amount
settlementDatestring
(Estimated) settlement date
revenueRecognitionYearMonthstring
Month of sales recognition
revenueRecognitionDateFromstring
Start date of sales recognition
revenueRecognitionDateTostring
End date of sales recognition
totalSalenumber
Total amount from sales
=Amount from sales + shipping fee for selling - (amount of cancellation + shipping fee for cancellation + discount coupon)
serviceFeenumber
Take rate
=Take rate + reimbursement for preferential rate
settlementTargetAmountnumber
Amount subject to settlement
=Total amount from sales - take rate
settlementAmountnumber
Settlement amount
Type Policy
Weekly settlement 70% of the amount subject to settlement
Monthly settlement 100% of the amount subject to settlement
lastAmountnumber
Final amount ( amount deferred for payment );
30% of the weekly settlement amount deferred
pendingReleasedAmountnumber
Pending (released) amount;
Amount to be included in the settlement after it is released from pending
sellerDiscountCouponnumber
Seller discount coupon (Instant discount coupon)
downloadableCouponnumber
Seller discount coupon (Downloadable coupon)
dedicatedDeliveryAmountnumber
Dedicated courier fee;
Not used
sellerServiceFeenumber
Seller service fee (server fee)
couranteeFeenumber
Courantee fee
couranteeCustomerRewardnumber
Courantee reward
deductionAmountnumber
Deductibles
debtOfLastWeeknumber
Payables from the past week;
Deduction for the loss incurred in the past week
finalAmountnumber
Final amount to be paid or estimated amount to be paid
(Final amount to be paid to the seller)

=Amount of settlement to be paid + pending (released) amount - (dedicated courier fee + seller service fee + deductibles + payables from the past week + Courantee fee + Courantee reward + seller discount coupon + store fee discount)
bankAccountHolderstring
Bank account holder
bankNamestring
Bank name
bankAccountstring
Bank account number to send the settlement amount;
**Last 4 digits masked
statusstring
Payment status
Parameter Name Status
DONE Paid
SUBJECT To be paid
storeFeeDiscountnumber
Amount of seller store fee discount

Response Example

{
 "settlementType": "DAILY",
 "settlementDate": "2019-10-10",
 "revenueRecognitionYearMonth": "2019-10",
 "revenueRecognitionDateFrom": "2019-10-01",
 "revenueRecognitionDateTo": "2019-10-01",
 "totalSale": ***58150,
 "serviceFee": ***8782,
 "settlementTargetAmount": ***39368,
 "settlementAmount": ***39368,
 "lastAmount": 0,
 "pendingReleasedAmount": 0,
 "sellerDiscountCoupon": 0,
 "downloadableCoupon": 0,
 "dedicatedDeliveryAmount": 0,
 "sellerServiceFee": 0,
 "couranteeFee": 0,
 "couranteeCustomerReward": 0,
 "deductionAmount": 0,
 "debtOfLastWeek": 0,
 "finalAmount": ***39368,
 "bankAccountHolder": "*********",
 "bankName": "**",
 "bankAccount": "100560****",
 "status": "DONE",
 "storeFeeDiscount": 0
 }
# 04

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check Request Parameter)

Invalid revenueRecognitionYearMonth format (yyyy-MM)

Make sure that the month of sales recognition is in correct format.

400400 (Check Request Parameter)

You cannot query past this month.

Make sure that the month of sales recognition is later than this month.